function [ ] = Function_DICE_2013R_1_2_newTFP_9( em_control_rate, mode, QUADRATIC, DIETZ_ASHEIM, MC, MC_max, MU_POPASYM, SIGMA_POPASYM, MU_GSIGMA1, SIGMA_GSIGMA1, MU_T2XCO2, SIGMA_T2XCO2, MU_A2, SIGMA_A2, MU_ASS_CPRICE2050, SIGMA_ASS_CPRICE2050, MU_CPRICE2050, SIGMA_CPRICE2050, MU_B12, SIGMA_B12, MU_A7, SIGMA_A7, MU_XI, SIGMA_XI, MU_TFPG_CONST, SIGMA_TFPG_CONST, PBACK_Vect, MC_Nb, LHS_MC, years, years2, L_0_MC, AL_0_MC, EPSILON_MC, GA_0_MC, FORCOTH_0_MC, YGROSS_R_MC, YGROSS_MC, MU_R_MC, MU_MC, MAT_R_MC, MAT_MC, ML_R_MC, ML_MC, FORC_R_MC, FORC_MC, ETREE_0_MC, EIND_R_MC, EIND_MC, E_R_MC, E_MC, TATM_R_MC, TATM_MC, TOCEAN_R_MC, TOCEAN_MC, DAMAGES_R_MC, DAMAGES_MC, REL_DAMAGES_R_MC, REL_DAMAGES_MC, YNET_R_MC, YNET_MC, ABATECOST_R_MC, ABATECOST_MC, Y_R_MC, Y_MC, C_R_MC, C_MC, CperC_R_MC, CperC_MC, CperC_rate_R_MC, CperC_rate_MC, K_R_MC, K_MC, F_DAMAGES_MC, F_CONS_MC, LOGC_R_MC, LOGF_DAMAGES_MC, LOGF_CONS_MC, FDAM_cov_t, FDAM_var_t, FDAM_beta_t, FCONS_cov_t, FCONS_var_t, FCONS_beta_t)
%   This function writes in an Excel file:
%   - the values for each of the uncertain parameters determined through Latin Hypercube Sampling
%   - the path matrices for main variables
%   - beta calculations

%   File: DICE_2013R_1_0_With_U_CBeta_MODEL_v1106
%--------------------------------------------------------------------------

    warning off MATLAB:xlswrite:AddSheet;
    
    currentfolder = pwd;
    filename = [ currentfolder '\OUTPUT_MC=' num2str(MC) '_' date '_mode=' num2str(mode) '_MIU' num2str(em_control_rate) '.xlsx'];
 
   
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% 0. Round to 9th decimal digit
        
L_0_MC         = round(L_0_MC*1e9)/1e9;
AL_0_MC        = round(AL_0_MC*1e9)/1e9;
EPSILON_MC     = round(EPSILON_MC*1e9)/1e9;
GA_0_MC        = round(GA_0_MC*1e9)/1e9;
FORCOTH_0_MC   = round(FORCOTH_0_MC*1e9)/1e9;
YGROSS_R_MC    = round(YGROSS_R_MC*1e9)/1e9;
YGROSS_MC      = round(YGROSS_MC*1e9)/1e9;
ETREE_0_MC     = round(ETREE_0_MC*1e9)/1e9;
EIND_R_MC      = round(EIND_R_MC*1e9)/1e9;
EIND_MC        = round(EIND_MC*1e9)/1e9;
TATM_R_MC      = round(TATM_R_MC*1e9)/1e9;
TATM_MC        = round(TATM_MC*1e9)/1e9;
DAMAGES_R_MC   = round(DAMAGES_R_MC*1e9)/1e9;
DAMAGES_MC     = round(DAMAGES_MC*1e9)/1e9;
YNET_R_MC      = round(YNET_R_MC*1e9)/1e9;
YNET_MC        = round(YNET_MC*1e9)/1e9;
ABATECOST_R_MC = round(ABATECOST_R_MC*1e9)/1e9;
ABATECOST_MC   = round(ABATECOST_MC*1e9)/1e9;
Y_R_MC         = round(Y_R_MC*1e9)/1e9;
Y_MC           = round(Y_MC*1e9)/1e9;
C_R_MC         = round(C_R_MC*1e9)/1e9;
C_MC           = round(C_MC*1e9)/1e9;
CperC_rate_R   = round(CperC_rate_R_MC*1e9)/1e9;
CperC_rate     = round(CperC_rate_MC*1e9)/1e9;
K_R_MC         = round(K_R_MC*1e9)/1e9;
K_MC           = round(K_MC*1e9)/1e9;    

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% 1. Values of uncertain parameters at each iteration, average and standard
% deviation of each distribution
    
    sheet    = ['LHS'];
    datanote = {'Uncertain inputs from Latin Hypercube Sampling + PBACK'};
    xlswrite(filename,datanote,sheet,'A1');
    
    header = {MU_POPASYM, MU_T2XCO2, MU_B12, MU_A2, MU_A7, MU_GSIGMA1, MU_CPRICE2050, MU_XI, MU_TFPG_CONST};
    xlswrite(filename,header,sheet,'B3');
    
    
    data = [LHS_MC];
    data_cells = num2cell(data);
    header={'POPASYM','T2XCO2','B12','A2','A7','GSIGMA1','CPRICE2050','XI', 'TFPG_CONST'};
    xlswrite(filename,header,sheet,'B4');
    xlswrite(filename,data_cells,sheet,'B5'); 
    
    
        

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% 2. Paths for the main variables of the model
    
    %----------------------------------------------------------------------
    % Keep only first 50 rows (max) of output matrices
    L_0_MC           = L_0_MC(1:MC_max,:);
    AL_0_MC          = AL_0_MC(1:MC_max,:);
    EPSILON_MC       = EPSILON_MC(1:MC_max,:);
    GA_0_MC          = GA_0_MC(1:MC_max,:);
    FORCOTH_0_MC     = FORCOTH_0_MC(1:MC_max,:);
    YGROSS_R_MC      = YGROSS_R_MC(1:MC_max,:);
    YGROSS_MC        = YGROSS_MC(1:MC_max,:);
    ETREE_0_MC       = ETREE_0_MC(1:MC_max,:);
    EIND_R_MC        = EIND_R_MC(1:MC_max,:);
    EIND_MC          = EIND_MC(1:MC_max,:);
    E_R_MC           = E_R_MC(1:MC_max,:);
    E_MC             = E_MC(1:MC_max,:);
    TATM_R_MC        = TATM_R_MC(1:MC_max,:);
    TATM_MC          = TATM_MC(1:MC_max,:);
    TOCEAN_R_MC      = TOCEAN_R_MC(1:MC_max,:);
    TOCEAN_MC        = TOCEAN_MC(1:MC_max,:);
    DAMAGES_R_MC     = DAMAGES_R_MC(1:MC_max,:);
    DAMAGES_MC       = DAMAGES_MC(1:MC_max,:);
    REL_DAMAGES_R_MC = REL_DAMAGES_R_MC(1:MC_max,:);
    REL_DAMAGES_MC   = REL_DAMAGES_MC(1:MC_max,:);
    YNET_R_MC        = YNET_R_MC(1:MC_max,:);
    YNET_MC          = YNET_MC(1:MC_max,:);
    ABATECOST_R_MC   = ABATECOST_R_MC(1:MC_max,:);
    ABATECOST_MC     = ABATECOST_MC(1:MC_max,:);
    Y_R_MC           = Y_R_MC(1:MC_max,:);
    Y_MC             = Y_MC(1:MC_max,:);
    C_R_MC           = C_R_MC(1:MC_max,:);
    C_MC             = C_MC(1:MC_max,:);
    CperC_rate_R_MC  = CperC_rate_R_MC(1:MC_max,:);
    CperC_rate_MC    = CperC_rate_MC(1:MC_max,:);
    K_R_MC           = K_R_MC(1:MC_max,:);
    K_MC             = K_MC(1:MC_max,:);
    F_DAMAGES_MC     = F_DAMAGES_MC(1:MC_max,:);
    F_CONS_MC        = F_CONS_MC(1:MC_max,:);
    LOGC_R_MC        = LOGC_R_MC(1:MC_max,:);
    LOGF_DAMAGES_MC  = LOGF_DAMAGES_MC(1:MC_max,:);
    LOGF_CONS_MC     = LOGF_CONS_MC(1:MC_max,:);


    %----------------------------------------------------------------------
    % Add years row in output matrices
   
    L_0_MC           = [years'; L_0_MC];
    AL_0_MC          = [years'; AL_0_MC];
    EPSILON_MC       = [years2'; EPSILON_MC];
    GA_0_MC          = [years'; GA_0_MC];
    FORCOTH_0_MC     = [years'; FORCOTH_0_MC];
    YGROSS_R_MC      = [years'; YGROSS_R_MC];
    YGROSS_MC        = [years'; YGROSS_MC];
    ETREE_0_MC       = [years'; ETREE_0_MC];
    EIND_R_MC        = [years'; EIND_R_MC];
    EIND_MC          = [years'; EIND_MC];
    E_R_MC           = [years'; E_R_MC];
    E_MC             = [years'; E_MC];
    TATM_R_MC        = [years'; TATM_R_MC];
    TATM_MC          = [years'; TATM_MC];
    TOCEAN_R_MC      = [years'; TOCEAN_R_MC];
    TOCEAN_MC        = [years'; TOCEAN_MC];
    DAMAGES_R_MC     = [years'; DAMAGES_R_MC];
    DAMAGES_MC       = [years'; DAMAGES_MC];
    REL_DAMAGES_R_MC = [years'; REL_DAMAGES_R_MC];
    REL_DAMAGES_MC   = [years'; REL_DAMAGES_MC];
    YNET_R_MC        = [years'; YNET_R_MC];
    YNET_MC          = [years'; YNET_MC];
    ABATECOST_R_MC   = [years'; ABATECOST_R_MC];
    ABATECOST_MC     = [years'; ABATECOST_MC];
    Y_R_MC           = [years'; Y_R_MC];
    Y_MC             = [years'; Y_MC];
    C_R_MC           = [years'; C_R_MC];
    C_MC             = [years'; C_MC];
    CperC_R_MC       = [years'; CperC_R_MC];
    CperC_MC         = [years'; CperC_MC];
    CperC_rate_R_MC  = [years'; CperC_rate_R_MC];
    CperC_rate_MC    = [years'; CperC_rate_MC];
    K_R_MC           = [years'; K_R_MC];
    K_MC             = [years'; K_MC];
    F_DAMAGES_MC     = [years'; F_DAMAGES_MC];
    F_CONS_MC        = [years'; F_CONS_MC];
    LOGC_R_MC        = [years'; LOGC_R_MC];
    LOGF_DAMAGES_MC  = [years'; LOGF_DAMAGES_MC];
    LOGF_CONS_MC     = [years'; LOGF_CONS_MC];
           
    %----------------------------------------------------------------------
    % Export reference and perturbed paths matrices in Excel
    
    % Population(L)
        
        % Reference population (same paths for perturbed)
        %sheet      = ['L_0'];
        %datanote   = {'Population MC matrix: L_0'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = millions'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = L_0_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
        
    % TFP level(AL)
        
        % Reference TFP level (same paths for perturbed)
        %sheet      = ['AL_0'];
        %datanote   = {'TFP level matrix: AL_0'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = na'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = AL_0_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');

        
   % Growth rate of TFP(GA)
        
        % Epsilon
        sheet      = ['EPSILON'];
        datanote   = {'TFP growth WN: EPSILON'};
        xlswrite(filename,datanote,sheet,'A1');
        datanote   = {'Unit = na'};
        xlswrite(filename,datanote,sheet,'A3');
        data       = EPSILON_MC;
        data_cells = num2cell(data);
        xlswrite(filename,data_cells,sheet,'B4');
        
        
    % Growth rate of TFP(GA)
        
        % Reference growth of TFP (same paths for perturbed)
        %sheet      = ['GA_0'];
        %datanote   = {'TFP level matrix: GA_0'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = na'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = GA_0_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
        
    % Exogenous forcing(FORCOTH)
    
        % Reference exogenous forcing from land use change (same paths for
        % perturbed)
        %sheet      = ['FORCOTH_0'];
        %datanote   = {'Exogenous forcing MC matrix: FORCOTH_0'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = Watts per square meter'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = FORCOTH_0_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
     
    % Gross output (YGROSS)

        % Reference gross output
        %sheet      = ['YGROSS_R'];
        %datanote   = {'Reference gross output MC matrix: YGROSS_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = YGROSS_R_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');

        % Perturbed gross output
        %sheet      = ['YGROSS'];
        %datanote   = {'Perturbed gross output MC matrix: YGROSS'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = YGROSS_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
        
    % Emissions from land use change(ETREE)

        % Reference emissions from land use change (same paths for
        % perturbed)
        %sheet      = ['ETREE_0'];
        %datanote   = {'Emissions from land use change MC matrix: ETREE_0'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = GtC per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = ETREE_0_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');    
    
    % Industrial emissions (EIND_R, EIND)

        % Reference industrial emissions
        %sheet      = ['EIND_R'];
        %datanote   = {'Reference industrial emissions MC matrix: EIND_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = GtC per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = EIND_R_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
    
        % Perturbed industrial emissions
        %sheet      = ['EIND'];
        %datanote   = {'Perturbed industrial emissions MC matrix: EIND'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = GtC per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = EIND_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');        
 
   
     % Emissions (E_R, E)
        
        % Reference total emissions
        %sheet      = ['E_R'];
        %datanote   = {'Reference total emissions MC matrix: E_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = GtC per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = E_R_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
    
        % Perturbed total emissions
        %sheet      = ['E'];
        %datanote   = {'Perturbed total emissions MC matrix: E'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = GtC per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = E_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');        
                        
    % Atmospheric temperature(TATM_R, TATM, TATM_Diff)

        % Reference atmospheric temperature
        %sheet      = ['TATM_R'];
        %datanote   = {'Reference atmospheric temperature MC matrix: TATM_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = degrees Celsius above preindustrial level'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = TATM_R_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');

        % Perturbed atmospheric temperature
        %sheet      = ['TATM'];
        %datanote   = {'Perturbed atmospheric temperature MC matrix: TATM'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = degrees Celsius above preindustrial level'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = TATM_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');   

        
    % Lower oceans temperature(TOCEAN_R, TOCEAN)

        % Reference lower oceans temperature
        %sheet      = ['TOCEAN_R'];
        %datanote   = {'Reference lower oceans temperature MC matrix: TATM_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = degrees Celsius above preindustrial level'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = TOCEAN_R_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');

        % Perturbed lower oceans temperature
        %sheet      = ['TOCEAN'];
        %datanote   = {'Perturbed lower oceans temperature MC matrix: TATM'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = degrees Celsius above preindustrial level'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = TOCEAN_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');    
       
    % Climate damages (DAMAGES)
        
        % Reference relative damages
        %if QUADRATIC == 1 
         %   sheet = ['REL_DAMAGES_R (quadratic)'];
         %   datanote   = {'Reference relative damages MC matrix: REL_DAMAGES_R - quadratic damage function specification as in DICE 2007'};
        %elseif DIETZ_ASHEIM == 1 
         %   sheet = ['REL_DAMAGES_R (Dietz Asheim)'];
         %   datanote   = {'Reference relative damages MC matrix: REL_DAMAGES_R - damage function specification as in Dietz and Asheim 2012'};
        %end;   
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = n/a'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data        = REL_DAMAGES_R_MC;
        %data_cells  = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');

        % Perturbed relative damages
        %if QUADRATIC == 1 
         %   sheet = ['REL_DAMAGES (quadratic)'];
         %   datanote   = {'Perturbed relative damages MC matrix: REL_DAMAGES - quadratic damage function specification as in DICE 2007'};
        %elseif DIETZ_ASHEIM == 1 
         %   sheet = ['REL_DAMAGES (Dietz Asheim)'];
         %   datanote   = {'Perturbed relative damages MC matrix: REL_DAMAGES - damage function specification as in Dietz and Asheim 2012'};
        %end; 
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = n/a'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = REL_DAMAGES_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');    
    
        % Reference absolute damages
        %if QUADRATIC == 1 
         %   sheet = ['DAMAGES_R (quadratic)'];
         %  datanote   = {'Reference damages MC matrix: DAMAGES_R - quadratic damage function specification as in DICE 2007'};
        %elseif DIETZ_ASHEIM == 1 
         %   sheet = ['DAMAGES_R (Dietz Asheim)'];
         %   datanote   = {'Reference damages MC matrix: DAMAGES_R - damage function specification as in Dietz and Asheim 2012'};
        %end;    
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data        = DAMAGES_R_MC;
        %data_cells  = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');

        % Perturbed absolute damages
        %if QUADRATIC == 1 
            %sheet = ['DAMAGES (quadratic)'];
            %datanote   = {'Perturbed damages MC matrix: DAMAGES - quadratic damage function specification as in DICE 2007'};
        %elseif DIETZ_ASHEIM == 1 
            %sheet = ['DAMAGES (Dietz Asheim)'];
            %datanote   = {'Perturbed damages MC matrix: DAMAGES - damage function specification as in Dietz and Asheim 2012'};
        %end;   
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = DAMAGES_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
        
        % Avoided damages = benefits of mitigation = DAMAGES - DAMAGES_R(F_DAMAGES)
        %sheet       = ['F_DAMAGES'];
        %datanote    = {'Avoided damages MC matrix: F_DAMAGES = DAMAGES - DAMAGES_R (taken as positive to avoid taking logs of negative values)'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data        = F_DAMAGES_MC;
        %data_cells  = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
        
        % Log F_DAMAGES(LOGF_DAMAGES)
        %sheet       = ['LOGF_DAMAGES'];
        %datanote    = {'Log of avoided damages MC matrix:'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = n/a'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data        = LOGF_DAMAGES_MC;
        %data_cells  = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');   
                    
    % Output net of damages (YNET)
    
        % Reference net output
        %sheet       = ['YNET_R'];
        %datanote    = {'Reference net output (net of damages) MC matrix: YNET_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data        = YNET_R_MC;
        %data_cells  = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');

        % Perturbed net output
        %sheet       = ['YNET'];
        %datanote   = {'Perturbed net output (net of damages) MC matrix: YNET'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = YNET_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');                     
           
    % Abatement cost (ABATECOST)
    
        % Reference abatement costs
        %sheet       = ['ABATECOST_R'];
        %datanote    = {'Reference abatement costs MC matrix: ABATECOST_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data        = ABATECOST_R_MC;
        %data_cells  = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');

        % Perturbed abatement costs
        %sheet       = ['ABATECOST'];
        %datanote   = {'Perturbed abatement costs MC matrix: ABATECOST'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = ABATECOST_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
        
    % Net output (Y)
    
        % Reference net output
        %sheet       = ['Y_R'];
        %datanote    = {'Reference net output (net of damages and abatement) MC matrix: Y_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data        = Y_R_MC;
        %data_cells  = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');

        % Perturbed net output
        %sheet       = ['Y'];
        %datanote   = {'Perturbed net output (net of abatement and damages) MC matrix: Y'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = Y_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');            
      
     % Consumption (C)

        % Reference consumption
        %sheet       = ['C_R'];
        %datanote    = {'Reference consumption MC matrix: C_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data        = C_R_MC;
        %data_cells  = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
        

        
        % Log of reference consumption(LOGC_R)

        sheet       = ['LOGC_R'];
        datanote    = {'Log of reference consumption MC matrix'};
        xlswrite(filename,datanote,sheet,'A1');
        datanote   = {'Unit = n/a'};
        xlswrite(filename,datanote,sheet,'A3');
        data        = LOGC_R_MC;
        data_cells  = num2cell(data);
        xlswrite(filename,data_cells,sheet,'B4');   

        % Perturbed consumption
        %sheet       = ['C'];
        %datanote   = {'Perturbed consumption MC matrix: C'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = C_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
        
        
           % Reference consumption per capita
        %sheet       = ['CperC_R'];
        %datanote   = {'Reference consumption per capita MC matrix: CperC_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ millions '};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = CperC_R_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4'); 
                
        
        % Perturbed consumption per capita
        %sheet       = ['CperC'];
        %datanote   = {'Perturbed consumption per capita MC matrix: CperC'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ millions '};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = CperC_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4'); 
        
        
                % Reference consumption per capita
        %sheet       = ['CperC_rate_R'];
        %datanote   = {'Reference rate of growth of consumption per capita MC matrix: CperC_rate_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ millions '};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = CperC_rate_R_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4'); 
                
        
        % Perturbed consumption per capita
        %sheet       = ['CperC_rate'];
        %datanote   = {'Perturbed rate of growth of consumption per capita MC matrix: CperC_rate'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ millions '};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = CperC_rate_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4'); 
        
                
        
        
        % Extra consumption = benefits of mitigation = C - C_R(F_CONS)
        %sheet       = ['F_CONS'];
        %datanote    = {'Extra consumption MC matrix: F = C - C_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data        = F_CONS_MC;
        %data_cells  = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
        
        % Log F(LOGF_CONS)
        sheet       = ['LOGF_CONS'];
        datanote    = {'Log of extra consumption MC matrix:'};
        xlswrite(filename,datanote,sheet,'A1');
        datanote   = {'Unit = n/a'};
        xlswrite(filename,datanote,sheet,'A3');
        data        = LOGF_CONS_MC;
        data_cells  = num2cell(data);
        xlswrite(filename,data_cells,sheet,'B4');  
    
   % Capital(K)

        % Reference capital
        %sheet       = ['K_R'];
        %datanote    = {'Reference capital MC matrix: K_R'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data        = K_R_MC;
        %data_cells  = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');

        % Perturbed capital
        %sheet       = ['K'];
        %datanote   = {'Perturbed capital MC matrix: K'};
        %xlswrite(filename,datanote,sheet,'A1');
        %datanote   = {'Unit = US$ trillions per year'};
        %xlswrite(filename,datanote,sheet,'A3');
        %data       = K_MC;
        %data_cells = num2cell(data);
        %xlswrite(filename,data_cells,sheet,'B4');
      
     
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% 3. Consumption beta calculations
    
    %----------------------------------------------------------------------
    % Calcs for consumption betas (based on avoided damages)
    %sheet      = ['Calcs_ConsBeta_FDAM'];
    %datanote   = {'Calculations for consumption beta based on extra damages'};
    %xlswrite(filename,datanote,sheet,'A1');
    
    %data       = [years'; FDAM_cov_t'; FDAM_var_t'];
    %row_header = {'';'cov_t';'var_t'};  
    %data_cells = [row_header num2cell(data)];
    %xlswrite(filename,data_cells,sheet,'A4');      

    %data       = [years'; FDAM_beta_t'];
    %row_header = {'';'beta_t'};  
    %data_cells = [row_header num2cell(data)];
    %xlswrite(filename,data_cells,sheet,'A8');
    
    
    
    
    % Calcs for consumption betas (based on avoided damages)
    sheet      = ['Calcs_ConsBeta_FCONS'];
    datanote   = {'Calculations for consumption beta based on extra consumption'};
    xlswrite(filename,datanote,sheet,'A1');
    
    data       = [years'; FCONS_cov_t'; FCONS_var_t'];
    row_header = {'';'cov_t';'var_t'};  
    %data       = [FCONS_cov_t'; FCONS_var_t'];
    %row_header = {'cov_t';'var_t'};  
    data_cells = [row_header num2cell(data)];
    xlswrite(filename,data_cells,sheet,'A4');      

    data       = [years'; FCONS_beta_t'];
    row_header = {'';'FCONS_beta_t'}; 
    %data       = [FCONS_beta_t'];
    %row_header = {'FCONS_beta_t'}; 
    data_cells = [row_header num2cell(data)];
    xlswrite(filename,data_cells,sheet,'A8'); 
    

end

